************************************************************ ``PUT`` Advance a Candidate to next stage of a Track ************************************************************ This API moves the candidate to next stage also invites the candidate to the Stage. Request URL ============= .. code-block:: PUT /tracks/candidate/advance Body Parameters ================ .. code-block:: JSON { "track_id": "integer", "application_id": "integer", "invite_format": "string" } .. warning:: Make sure to add your API key in Header of the request Parameters ============ +-------------------+------------------+---------------------------------------------------------------------------------------------------+ | Parameter | Type | Description | +===================+==================+===================================================================================================+ | invite_format | *enum* | * **getlink**: This option will only create an invite link for the candidate which can be shared. | | | | * **sendlink**: This option will send an invite to the candidate via email | +-------------------+------------------+---------------------------------------------------------------------------------------------------+ | track_id | *integer* | ID of the track of the candidate | +-------------------+------------------+---------------------------------------------------------------------------------------------------+ | application_id | *integer* | ID of the application of the candidate who should be moved to the next stage | +-------------------+------------------+---------------------------------------------------------------------------------------------------+ Response ========== - A JSON response containing information about the Candidate's next stage given the candidate has completed the Invitation. .. code-block:: JSON { "name": "string", "email": "string", "stage_moved": "string", "candidate_id": "integer", "application_id": "integer", "module_id": "integer", "response_id": "integer", "invite_link": "string", "status": "string", "track_id": "integer" } .. note:: ``response_id`` will be the response for the module which is linked with the track's stage. For an Assessment it's ``report_id``, for a XoForm it's ``form_response_id``, for an Automated Interview it's ``interview_response_id`` and if it's a Review stage it'll be the ``review_id`` ``module_id`` will be current module ID linked with that stage, For tracks, ``track_id``, XoForms, it's ``form_id`` and for Automated Interview it's ``interview_id`` - JSON response when the candidate's Track Invitation is Pending .. code-block:: JSON { "candidate_id": "integer", "email": "string", "invite_status": "string", "name": "string", "status": "string", "application_id": "integer" "track_id": "integer" }